:root {
    --fb-blue: #475AAA;
    --fb-grey: #4D4D4D;

    --navbar-height: 6em;

    /* spieplatz image */
    --spielplatz-focal-x: 30%;
    --spielplatz-focal-y: 80%;
    
    --spielplatz-ratio-tall: 4/3;
    --spielplatz-ratio-wide: 5/1;
    --spielplatz-ratio-medium: 5/2;
    /* for mobile */
    --spielplatz-ratio: var(--spielplatz-ratio-tall);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Tahoma, sans-serif;
}

html {
    scroll-behavior: smooth;
    scroll-padding: var(--navbar-height);
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    height: 100%;
}

header.navbar {
    padding: 0em 2em;
    display: flex;
    background-color: #ffffffdd;
    align-items: center;
    justify-content: center;
    justify-items: center;

    position: sticky;
    z-index: 999;
    top: 0;
    width: 100%;
    align-self: flex-start;
}

header.navbar a {
    font-size: larger;
    color: black;
    text-decoration: none;
}

header.navbar>.nav-entries {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5em;
}

header.navbar > a.navbar-logo-wrapper {
  /* might come in handy later */
}

header.navbar>a.navbar-logo-wrapper>.navbar-logo {
    height: 4em;
}

main {
    flex-grow: 1;
    display: flex !important;
    flex-direction: column;
}

main>section {
    background-color: whitesmoke;
    color: #333;
    min-height: 15em;
    padding-bottom: 3em;
}

main>section a {
    color: #333;
}

main>section:nth-child(even) {
    /* 90C; 65M blau: #1a59ff */
    /* Arial Rounded MT 80 Regular */
    /* hsla(203, 84%, 32%, 1); <- where tf does this come from? */
    background-color: var(--fb-blue);
    color: #eee;
}

main>section:nth-child(even) a {
    color: #eee;
}

main section:last-child {
    flex-grow: 1;
}

footer {
    padding: 1em 3em 1em 3em;
    background-color: #444;
    color: #eee;
    display: flex;
    gap: 2em;
}

footer a {
    color: #eee;
}

.hero>.hero-img {
    display: none;
}

main>section {
    display: flex;
    flex-direction: column;
    align-items: center;
}

main>section>div.section-img-wrapper {
    position: relative;
}

main>section>div.section-img-wrapper>div.section-motto {
    position: absolute;
    bottom: 1em;
    right: 1em;

    font-size: x-large;
    color: white;
}

main>section>div.section-img-wrapper>img.section-img {
    width: 100vw;
    
    aspect-ratio: var(--spielplatz-ratio);
    object-fit: cover;
    object-position: var(--spielplatz-focal-x) var(--spielplatz-focal-y);
}

main>section>.section-content {
    width: 95%;
    margin-bottom: 1em;
}

section#hero {
    display: block;
    padding-bottom: 1em;
}

.hero {
    width: 100%;
    display: flex;
}

.hero>.hero-text {
    flex-grow: 1;
    margin: 0 1em 0 1em;
}

.hero>.hero-text>ul {
    list-style-type: square;
    list-style-position: inside;
}

.cards {

}

.card {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border-radius: 1em;
    background-color: white;
    color: black;
    box-shadow: 0 3px 8px 0 #0e2431;
    display: flex;
    flex-direction: column;
}

.card-header {
    text-align: center;
    font-weight: 500;
    font-size: large;
    margin-bottom: .5em;
}

.card-content {

}

.card-button {
    justify-self: end;
    align-self: center;
    margin-top: 1em;
    padding: .3em;

    border-radius: .5em;
    border: 2px solid var(--fb-blue);
    color: var(--fb-blue) !important;
    text-decoration: none;
}

.card-button:hover {
    border: 2px dotted var(--fb-blue);
    cursor: pointer;
}

/* START SECTION STYLING: ABOUT */
div#about-overview {

}

div#lifestory ul.lifestory-learnings {
    list-style-position: inside;
}

div#hardfacts {

}

.hardfacts-list {
    margin: 1em 0;
    display: grid;
    grid-template-columns: auto;
}

.hardfacts-list .hardfacts-list-year {
    margin-top: 0.5em;
    font-size: large;
}

.hardfacts-list .hardfacts-list-text {
    
}

.cv {

}

.cv .cv-year {
    font-size: large;
}

.contact-wrapper {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: space-between;
    gap: 1em;
}

.contact-text, .contact-info {
    min-width: 300px;
}

.contact-text {
    flex-grow: 1;
}

.contact-info {
    padding-top: 1em;
    font-weight: 300;
}

/* END SECTION STYLING: ABOUT */

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 768px) {
    .navbar a {
        text-decoration: none;
        color: #0e2431;
        font-weight: 500;
        font-size: 1.5rem;
        padding: 0.7rem;
    }

    .navbar .checkbox {
        position: absolute;
        height: 26px;
        width: 32px;
        right: 2em;
        top: calc(var(--navbar-height)/2 - 26px/2);

        z-index: 5;
        opacity: 0;
        cursor: pointer;
    }

    .navbar .hamburger-lines {
        position: absolute;
        height: 26px;
        width: 32px;
        right: 2em;
        top: calc(var(--navbar-height)/2 - 26px/2);

        z-index: 2;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .navbar .hamburger-lines .line {
        display: block;
        height: 4px;
        width: 100%;
        border-radius: 10px;
        background: #0e2431;
    }

    .navbar .hamburger-lines .line1 {
        transform-origin: 0% 0%;
        transition: transform 0.4s ease-in-out;
    }

    .navbar .hamburger-lines .line2 {
        transition: transform 0.2s ease-in-out;
    }

    .navbar .hamburger-lines .line3 {
        transform-origin: 0% 100%;
        transition: transform 0.4s ease-in-out;
    }

    .navbar .nav-entries {
        position: fixed;
        background-color: rgba(255, 255, 255, 0.9);
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        transform: translate(-150%);
        flex-direction: column;
        text-align: center;
    }

    /* only apply the transition when it is actually needed.
     * this fixes a brief flash of the burger menu when resizing the window
    */
    .navbar input[type="checkbox"]:focus~.nav-entries {
        transition: transform 0.5s ease-in-out;
    }

    .navbar input[type="checkbox"]:checked~.nav-entries {
        transform: translateX(0);
    }

    .navbar input[type="checkbox"]:checked {
        position: fixed;
    }

    .navbar input[type="checkbox"]:checked~.hamburger-lines {
        position: fixed;
    }

    .navbar input[type="checkbox"]:checked~.hamburger-lines .line1 {
        transform: rotate(45deg);
    }

    .navbar input[type="checkbox"]:checked~.hamburger-lines .line2 {
        transform: scaleY(0);
    }

    .navbar input[type="checkbox"]:checked~.hamburger-lines .line3 {
        transform: rotate(-45deg);
    }

    footer {
        flex-direction: column;
        gap: 0.5em
    }
}

.network img {
    height: 5em;
    width: auto;
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    .network {
        display: flex;
        justify-content: space-around;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    :root {
        --spielplatz-ratio: var(--spielplatz-ratio-medium);
    }

    .navbar .checkbox {
        display: none;
    }

    .navbar .hamburger-lines {
        display: none;
    }

    header.navbar {
        padding: 0 2em;
        height: var(--navbar-height);
    }

    header.navbar>.nav-entries {
        justify-content: right;
        align-items: center;
    }

    main>section .section-content {
        min-width: 650px;
        width: 70%;
    }

    .nav-space {
        width: 1em;
        height: 1em;
    }
    
    .nav-sep {
        border: 1px solid #555;
        align-self: stretch;
    }

    .hero>.hero-text {
        margin-left: 15vw;
    }

    .cards {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(3, auto);
        gap: 2em;
    }

    .card {
        display: grid;
        grid-template-rows: subgrid;
        grid-row: span 3;
        gap: 0;
        
        padding: 10px;
        border-radius: 1em;
        background-color: white;
        color: black;
    }

    .card-button {
        justify-self: center;
        align-self: end;
    }

    .hardfacts-list {
        margin: 1em 0;
        display: grid;
        grid-template-columns: 120px auto;
        row-gap: .5em;
    }

    .hardfacts-list .hardfacts-list-year {
        font-size: large;
        margin-right: 1em;
        text-align: right;
    }

    .hardfacts-list .hardfacts-list-text {
        display: flex;
        align-items: end;
    }

    .big-question {
        font-size: 30px;
        margin: 1em 0;
        display: block;
        text-align: center;
        font-family: 'Times New Roman', Times, serif;
        font-style: italic;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
    :root {
        --spielplatz-ratio: var(--spielplatz-ratio-wide);
    }

    section#hero {
        display: block;
        padding-bottom: 1em;
    }

    .hero {
        overflow: hidden;
        position: relative;
    }

    .hero>.hero-img {
        display: block;
        max-height: calc(100vh - 4em);
    }

    .hero>.hero-spacer {
        display: block;
        background-color: black;
        flex-grow: 1;
    }

    .hero>.hero-text {
        position: absolute;
        top: 3em;
        bottom: 0;
        color: #eee;
        font-size: larger;
        padding-top: 40vh;
    }

    .spacer-after-hero {
        display: block;
        width: 100vw;
        background-color: black;
        height: 205px;
    }
}

/* Extra large devices (large laptops and desktops, 1400px and up) */
@media only screen and (min-width: 1400px) {}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: normal;
}